summaryrefslogtreecommitdiffstats
path: root/deps/mlt/mlt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/mlt/mlt.SlackBuild')
-rwxr-xr-xdeps/mlt/mlt.SlackBuild13
1 files changed, 9 insertions, 4 deletions
diff --git a/deps/mlt/mlt.SlackBuild b/deps/mlt/mlt.SlackBuild
index 5ebd44d..e6139cb 100755
--- a/deps/mlt/mlt.SlackBuild
+++ b/deps/mlt/mlt.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2017,2018 Eric Hameleers, Eindhoven, NL
+# Copyright 2017, 2018, 2019, 2020 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -27,10 +27,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mlt
-VERSION=${VERSION:-6.10.0}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-6.20.0}
+BUILD=${BUILD:-2}
-PYTHONSITEPKG=$(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
+PYTHONSITEPKG=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -84,6 +84,10 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Apply patches:
+# Make mlt compile against Qt 5.15:
+cat $CWD/patches/mlt_qt515.patch | patch -p1 --verbose || exit 1
+
# Fix bogus permissions:
chown -R root:root .
find . \
@@ -103,6 +107,7 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-gpl \
--enable-gpl3 \
--enable-motion-est \
+ --enable-opencv \
--enable-qt \
--qt-libdir=$(pkg-config Qt5Core --variable=libdir) \
--qt-includedir=$(pkg-config Qt5Core --variable=includedir) \